void InitPS2Mouse(void);
void InitPS2Keyboard(void);
uint16_t PollPS2Frame(uint32_t clock, uint32_t data);
void SendPS2Command(uint8_t cmd, uint32_t clock, uint32_t data);
void SetPS2LEDState(uint8_t cmd);
void SetPS2Repeat(void);
uint8_t PS2ToMacScancode(uint8_t code, uint8_t keyup, uint8_t extended);
uint8_t HandlePS2Keyboard(uint8_t *code, uint8_t *keyup, uint8_t *extended);
int HandlePS2Mouse(uint8_t *status, uint8_t *xmove, uint8_t *ymove);
void SetupPS2Mouse(void);

#define kPollTimeout 1000

#define kPS2KbdClockPin             GPIO_Pin_9
#define kPS2KbdDataPin              GPIO_Pin_8

#define kPS2MouseClockPin           GPIO_Pin_1
#define kPS2MouseDataPin            GPIO_Pin_0

#define kPS2ErrorCode 0xFF00
#define kPS2RetryCode 0xFE00

#define kPS2LEDScroll 1
#define kPS2LEDNum    2
#define kPS2LEDCaps   4
